Altimax\Apidae\Core\Entity\SitraAgrement:
  type: entity
  table: sitra_agrement
  indexes:
    element_reference_id:
      columns:
        - element_reference_id
    agrement_ibfk_1:
      columns:
        - objet_id
  id:
    id:
      type: integer
      nullable: false
      unsigned: false
      comment: ''
      id: true
      generator:
        strategy: IDENTITY
  fields:
    numero:
      type: string
      nullable: true
      length: 255
      fixed: false
      comment: ''
  manyToOne:
    elementReference:
      targetEntity: Altimax\Apidae\Core\Entity\SitraElementReference
      cascade: [ "persist", "remove" ]
      mappedBy: null
      inversedBy: null
      joinColumns:
        element_reference_id:
          referencedColumnName: id
          onDelete: CASCADE
      orphanRemoval: false
    objet:
      targetEntity: Altimax\Apidae\Core\Entity\SitraObjet
      cascade: {  }
      mappedBy: null
      inversedBy: agrement
      joinColumns:
        objet_id:
          referencedColumnName: id
          onDelete: CASCADE
      orphanRemoval: false
  lifecycleCallbacks: {  }
